## org.gnu.gdk
Class Status

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.Status

public class Status
extends Enum

Field Summary
`static Status` `ERROR`
`static Status` `ERROR_FILE`
`static Status` `ERROR_MEM`
`static Status` `ERROR_PARAM`
`static Status` `OK`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Status` `and(Status other)`
`static Status` `intern(int value)`
`Status` `or(Status other)`
`boolean` `test(Status other)`
`Status` `xor(Status other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final Status OK

### ERROR

    public static final Status ERROR

### ERROR_PARAM

    public static final Status ERROR_PARAM

### ERROR_FILE

    public static final Status ERROR_FILE

### ERROR_MEM

    public static final Status ERROR_MEM

Method Detail

### intern

    public static Status intern(int value)

### or

    public Status or(Status other)

### and

    public Status and(Status other)

### xor

    public Status xor(Status other)

### test

    public boolean test(Status other)